xsane ok
authorhugo <hugo@364a67c3-989e-7be9-548d-dae8560ea662>
Tue, 13 Apr 2010 04:34:54 +0000 (04:34 +0000)
committerhugo <hugo@364a67c3-989e-7be9-548d-dae8560ea662>
Tue, 13 Apr 2010 04:34:54 +0000 (04:34 +0000)
33 files changed:
dependencies
functions
functions-update
packages-list
stage3/bootscripts/cups [deleted file]
stage3/cis-cdrtools [deleted file]
stage3/cis-cups [deleted file]
stage3/cis-dvd-rw-tools [deleted file]
stage3/cis-dvdfs [deleted file]
stage3/cis-jadetex [deleted file]
stage3/cis-sane-backends [deleted file]
stage3/cis-splix [deleted file]
stage3/cis-tetex [deleted file]
stage3/cis-xsane [deleted file]
stage3/resources/mount.fusedvdfs [deleted file]
stage5/bootscripts/cups [new file with mode: 0755]
stage5/cis-boost [new file with mode: 0755]
stage5/cis-cdrtools [new file with mode: 0755]
stage5/cis-cups [new file with mode: 0755]
stage5/cis-cups-pdf [new file with mode: 0755]
stage5/cis-dvd-rw-tools [new file with mode: 0755]
stage5/cis-dvdfs [new file with mode: 0755]
stage5/cis-ghostscript
stage5/cis-jadetex [new file with mode: 0755]
stage5/cis-sane-backends [new file with mode: 0755]
stage5/cis-splix [new file with mode: 0755]
stage5/cis-tetex [new file with mode: 0755]
stage5/cis-xsane [new file with mode: 0755]
stage5/packages-update
stage5/resources/mount.fusedvdfs [new file with mode: 0644]
stage5/stage5-install
stage6/stage6-install
sysinfos

index a905320..b207109 100644 (file)
@@ -1,7 +1,8 @@
 #!/bin/sh
 
 ${INTLTOOL}: ${PERL_MOD_XML_PARSER}
-${INKSCAPE}: ${BOOST} ${INTLTOOL}
+${GTKMM}: ${PANGOMM}
+${INKSCAPE}: ${POPPLER} ${BOOST} ${INTLTOOL} ${GTKMM}
 ${TETEX_SRC}: ${ED}
 ${PHP}: ${CURL}
 
@@ -35,7 +36,7 @@ ${JASPER}: ${LIBJPEG} ${XORG} ${MESALIB}
 ${GHOSTSCRIPT}: ${LIBJPEG} ${LIBPNG} ${JASPER} ${GTK} ${XORG}
 
 ${POPPLER}: ${FONTCONFIG} ${LIBJPEG} ${CAIRO} ${GLIB} ${LIBOPENJPEG}
-${EVINCE}: ${POPPLER} ${LIBGNOMEUI} ${GNOME_ICON_THEME} ${GNOME_DOC_UTILS} ${TETEX_SRC} ${GHOSTSCRIPT} ${T1LIB}
+${EVINCE}: ${POPPLER} ${LIBGNOMEUI} ${GNOME_ICON_THEME} ${GNOME_DOC_UTILS} ${TETEX_SRC} ${GHOSTSCRIPT} ${T1LIB} ${LIBSPECTRE}
 
 ${DBUS}: ${EXPAT} ${LIBXML2} ${XORG_LIBS}
 ${GLIB}: ${PCRE}
index 79a57e1..1107738 100644 (file)
--- a/functions
+++ b/functions
@@ -530,11 +530,34 @@ static_decompressed_dirname()
 {
     local PACKAGE=${1}
 
-    # Remove optional "./" leading component with sed
-    # and extract base directory name with awk.
-    local DIRNAME=$(tar ${TAR_OPTS} -tf ${LFS_PKG_DIR}/${PACKAGE}.tar.bz2 | head -n1 | sed 's!^\./!!' | awk -F \/ '{print $1}')
+    # List of default archive extensions to try
+    local MY_ARCH_EXT="tar.bz2 tar.gz tgz tar.Z zip"
 
-    echo ${DIRNAME}
+    for arch_ext in ${MY_ARCH_EXT}; do
+        if [ ! -f ${LFS_PKG_DIR}/${PACKAGE}.${arch_ext} ]; then
+            # Try next archive extension.
+            continue;
+        fi
+
+        case ${arch_ext} in
+           tar.bz2|tar.gz|tgz|tar.Z)
+                # Remove optional "./" leading component with sed
+                # and extract base directory name with awk.
+                local DIRNAME=$(tar ${TAR_OPTS} -tf ${LFS_PKG_DIR}/${PACKAGE}.tar.bz2 | head -n1 | sed 's!^\./!!' | awk -F \/ '{print $1}')
+                echo ${DIRNAME}
+                ;;
+            zip)
+                # TODO
+                echo ${PACKAGE}
+                ;;
+        esac
+
+        return $?
+    done
+
+    # Failure or file not found
+    echo "${FUNCNAME}(): Missing source package for \"${PACKAGE}\"" > /dev/stderr
+    return ${EXIT_FAILURE}
 }
 
 # Applying patch
@@ -614,21 +637,44 @@ decompress_package()
 
     local PACKAGE=${1}
 
-    if [ ! -f ${LFS_PKG_DIR}/${PACKAGE}.tar.bz2 ]; then
-       echo "${FUNCNAME}(): Missing source package: \"${PACKAGE}.tar.bz2\"" > /dev/stderr
-       return ${EXIT_FAILURE}
-    fi
-    
-    if [ -d ${TOPDIR}/${PACKAGE} ]; then
-       # Removing old source directory (if any)
-       rm -v -rf ${TOPDIR}/${PACKAGE} || exit 1
-    fi
+    # List of default archive extensions to try
+    local MY_ARCH_EXT="tar.bz2 tar.gz tgz tar.Z zip"
+
+    for arch_ext in ${MY_ARCH_EXT}; do
+        if [ ! -f ${LFS_PKG_DIR}/${PACKAGE}.${arch_ext} ]; then
+            # Try next archive extension.
+            continue;
+        fi
+
+        if [ -d ${TOPDIR}/${PACKAGE} ]; then
+            # Removing old source directory (if any)
+           rm -v -rf ${TOPDIR}/${PACKAGE} || exit 1
+        fi
+
+        cd ${TOPDIR}
+
+        # Decompressing package
+        case ${arch_ext} in
+           tar.bz2)
+                tar ${TAR_OPTS} -jxvf ${LFS_PKG_DIR}/${PACKAGE}.${arch_ext} || return 1
+                ;;
+           tar.gz|tgz|tar.Z)
+                tar ${TAR_OPTS} -zxvf ${LFS_PKG_DIR}/${PACKAGE}.${arch_ext} || return 1
+                ;;
+            zip)
+                echo ZIPZIPZIP
+                unzip ${LFS_PKG_DIR}/${PACKAGE}.${arch_ext} || return 1
+                ;;
+        esac
+
+        cd - 1> /dev/null 2>&1
+
+        return $?
+    done
 
-    # Decompressing package
-    # Option 'U' of tar is to remove each file prior to extracting over it
-    cd ${TOPDIR} &&
-    tar ${TAR_OPTS} -jxvf ${LFS_PKG_DIR}/${PACKAGE}.tar.bz2 &&
-    cd - 1> /dev/null 2>&1
+    # Failure or file not found
+    echo "${FUNCNAME}(): Missing source package for \"${PACKAGE}\"" > /dev/stderr
+    return ${EXIT_FAILURE}
 }
 
 # Installation of a package
index 33d9cf4..93ddb15 100644 (file)
@@ -229,7 +229,7 @@ static_getpkg()
         # so we can safely remove any file prior to trying to download it.
         rm -f ${LFS_PKG_DIR}/${PACK}.${arch_ext}
 
-        echo "Tryng to fetch ${PACK}.${arch_ext}"
+        echo "Trying to fetch ${PACK}.${arch_ext}"
 
         ${WGETCMD} ${URL}/${PACK}.${arch_ext}
         wget_status=$?
index 063b485..53ae236 100644 (file)
@@ -42,6 +42,7 @@ CONSOLEKIT="ConsoleKit-0.4.1"
 COREUTILS="coreutils-7.6"
 CPIO="cpio-2.9"
 CUPS="cups-1.4.2"
+CUPS_PDF="cups-pdf-2.5.0"
 CURL="curl-7.19.7"
 CVS="cvs-1.11.23"
 
@@ -103,7 +104,7 @@ GEDA_GATTRIB="geda-gattrib-1.2.0"
 GEGL="gegl-0.1.2"
 GETDATE="getdate_rfc868-1.2"
 GETTEXT="gettext-0.17"
-GHOSTSCRIPT="ghostscript-8.70"
+GHOSTSCRIPT="ghostscript-8.71"
 GHOSTSCRIPT_FONTS_STD="ghostscript-fonts-std-8.11"
 GHOSTSCRIPT_FONTS_OTHER="ghostscript-fonts-other-6.0"
 GNASH=" gnash-0.8.5"
@@ -320,6 +321,7 @@ OPENSSL_ROOT_CERTS="BLFS-ca-bundle-20090409"
 
 PAM="Linux-PAM-1.1.0"
 PANGO="pango-1.26.2"
+PANGOMM="pangomm-2.26.0"
 PARTED="parted-1.9.0"
 PATCH_PACKAGE="patch-2.5.9"
 PCIUTILS="pciutils-3.1.4"
@@ -363,8 +365,8 @@ RHYTHMBOX="rhythmbox-0.10.1"
 RSYNC="rsync-3.0.7"
 
 SAMBA="samba-3.0.21c"
-SANE_BACKENDS="sane-backends-1.0.18"
-XSANE="xsane-0.97"
+SANE_BACKENDS="sane-backends-1.0.19"
+XSANE="xsane-0.996"
 SASL2="cyrus-sasl-2.1.21"
 SED="sed-4.2.1"
 SENDMAIL="sendmail-8.13.6"
diff --git a/stage3/bootscripts/cups b/stage3/bootscripts/cups
deleted file mode 100755 (executable)
index 77345d6..0000000
+++ /dev/null
@@ -1,40 +0,0 @@
-#!/bin/sh
-
-# cups
-
-# Source functions library
-source /etc/rc.d/init.d/functions
-
-log_script_name "$0 $*"
-
-# See how we were called
-case "$1" in
-    start)
-       cmd_run_log_box_warn "CUPS start" loadproc cupsd
-       ;;
-
-    stop)
-       cmd_run_log_box_warn "CUPS stop" killproc cupsd
-       ;;
-   
-    reload)
-       cmd_run_log_box_warn "CUPS reload" reloadproc cupsd
-       ;;
-    
-    restart)
-       $0 stop
-       sleep 1
-       $0 start
-       ;;
-
-    status)
-       statusproc cupsd
-       ;;
-    
-    *)
-       echo "Usage: $0 {reload|restart|start|status|stop}"
-       exit ${EXIT_CODE_FAILURE}
-       ;;
-esac
-
-exit $?
diff --git a/stage3/cis-cdrtools b/stage3/cis-cdrtools
deleted file mode 100755 (executable)
index 50df063..0000000
+++ /dev/null
@@ -1,35 +0,0 @@
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1}
-
-cd ${LFS_TMP}/${1}
-make INS_BASE=/usr DEFINSUSR=root DEFINSGRP=root
-make INS_BASE=/usr DEFINSUSR=root DEFINSGRP=root install
-
-cat > /etc/sysconfig/cdrecord << "EOF"
-#!/bin/sh
-
-# If you know exactly the device to use with cdrecord,
-# enter it in this variable. If this variable is empty,
-# cdrecord scripts will try to autodetect the device
-# using the CDR_DEVICE_DESC variable.
-#CDREC_DEVICE="ATAPI:1,1,0"
-#CDROM_DEVICE="ATAPI:1,0,0"
-
-# This variable contains the identification string that
-# cdrecord scripts will look for when calling cdrecord
-# with the "-scanbus" option
-CDREC_DEVICE_DESC="CD-Writer+ 8200"
-CDROM_DEVICE_DESC="CDR-8235"
-EOF
-
-exit $?
diff --git a/stage3/cis-cups b/stage3/cis-cups
deleted file mode 100755 (executable)
index a6cba6a..0000000
+++ /dev/null
@@ -1,55 +0,0 @@
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1}
-
-cd ${LFS_TMP}/${1}
-
-# When using Linux-PAM, some files need to be modified so CUPS
-# can find needed headers.
-sed -i -e "s@pam/pam@security/pam@g" \
-    {config-scripts/cups-pam.m4,scheduler/auth.c,configure}
-
-./configure
-make
-make install
-
-# For a remote CUPS print server
-if [ -n "${CUPS_SERVER}" ]; then
-    cat > /etc/cups/client.conf << "EOF"
-########################################################################
-#                                                                      #
-# This is the CUPS client configuration file.  This file is used to    #
-# define client-specific parameters, such as the default server or     #
-# default encryption settings.                                         #
-#                                                                      #
-########################################################################
-
-#
-# ServerName: the hostname of your server.  By default CUPS will use the
-# hostname of the system or the value of the CUPS_SERVER environment
-# variable.  ONLY ONE SERVER NAME MAY BE SPECIFIED AT A TIME.  To use
-# more than one server you must use a local scheduler with browsing
-# and possibly polling.
-#
-EOF
-    echo "ServerName ${CUPS_SERVER}" >> /etc/cups/client.conf
-fi
-
-# Modification to allow access from all hosts in internal LAN (192.168.0.x)
-sed -i -e "s!\(Allow From 127\.0\.0\.1\)!\1\nAllow From 192\.168\.0\.0/24!g" /etc/cups/cupsd.conf
-
-install -v -m740 ${SCRDIR}/bootscripts/cups /etc/rc.d/init.d
-
-# script-name start stop
-bootscript_add_rc3 cups 40 50
-
-exit $?
diff --git a/stage3/cis-dvd-rw-tools b/stage3/cis-dvd-rw-tools
deleted file mode 100755 (executable)
index 4cd607b..0000000
+++ /dev/null
@@ -1,20 +0,0 @@
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1}
-
-cd ${LFS_TMP}/${1}
-make all rpl8 btcflash
-make prefix=/usr install
-install -v -m644 -D index.html /usr/share/doc/${1}/index.html
-ldconfig
-
-exit $?
diff --git a/stage3/cis-dvdfs b/stage3/cis-dvdfs
deleted file mode 100755 (executable)
index ef92029..0000000
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name.
-# Remaining arguments are additional configure options.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-PACKAGE=${1}
-shift
-CONFIGURE_OPTS=${*}
-
-# Applying patches (if any)
-apply_patches ${PACKAGE}
-
-cd ${LFS_TMP}/${PACKAGE}
-make
-make install
-
-# Mount script
-install -v -m755 ${SCRDIR}/resources/mount.fusedvdfs /sbin
-
-exit $?
diff --git a/stage3/cis-jadetex b/stage3/cis-jadetex
deleted file mode 100755 (executable)
index 4bcb07c..0000000
+++ /dev/null
@@ -1,99 +0,0 @@
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1}
-
-cd ${LFS_TMP}/${1}
-sed -i.orig -e "s/original texmf.cnf/modified texmf.cnf/" \
-    -e "s/memory hog.../&\npool_size.context = 750000/" \
-    $(kpsewhich texmf.cnf)
-cat >> $(kpsewhich texmf.cnf) << "EOF"
-
-% The following 3 sections added for JadeTeX
-
-% latex settings
-main_memory.latex = 1100000
-param_size.latex = 1500
-stack_size.latex = 1500
-hash_extra.latex = 15000
-string_vacancies.latex = 45000
-pool_free.latex = 47500
-nest_size.latex = 500
-save_size.latex = 5000
-pool_size.latex = 500000
-max_strings.latex = 55000
-font_mem_size.latex= 400000
-
-% jadetex settings
-main_memory.jadetex = 1500000
-param_size.jadetex = 1500
-stack_size.jadetex = 1500
-hash_extra.jadetex = 50000
-string_vacancies.jadetex = 45000
-pool_free.jadetex = 47500
-nest_size.jadetex = 500
-save_size.jadetex = 5000
-pool_size.jadetex = 500000
-max_strings.jadetex = 55000
-
-% pdfjadetex settings
-main_memory.pdfjadetex = 2500000
-param_size.pdfjadetex = 1500
-stack_size.pdfjadetex = 1500
-hash_extra.pdfjadetex = 50000
-string_vacancies.pdfjadetex = 45000
-pool_free.pdfjadetex = 47500
-nest_size.pdfjadetex = 500
-save_size.pdfjadetex = 5000
-pool_size.pdfjadetex = 500000
-max_strings.pdfjadetex = 55000
-
-EOF
-
-LATEX_FMT_DIR="$(kpsewhich -expand-var '$TEXMFSYSVAR')/web2c"
-mv -v $(kpsewhich latex.fmt) $(kpsewhich latex.fmt).orig
-mv -v $LATEX_FMT_DIR/latex.log $LATEX_FMT_DIR/latex.log.orig
-fmtutil-sys --byfmt latex
-
-make
-
-install -v -m755 -d \
-    $(kpsewhich -expand-var '$TEXMFLOCAL')/tex/jadetex/config
-install -v -m644 dsssl.def jadetex.ltx *.sty \
-    $(kpsewhich -expand-var '$TEXMFLOCAL')/tex/jadetex
-install -v -m644 {,pdf}jadetex.ini \
-    $(kpsewhich -expand-var '$TEXMFLOCAL')/tex/jadetex/config
-FMTUTIL_CNF="$(kpsewhich fmtutil.cnf)"
-mv $FMTUTIL_CNF $FMTUTIL_CNF.orig
-cat $FMTUTIL_CNF.orig - >> $FMTUTIL_CNF << "EOF"
-
-# JadeTeX formats:
-jadetex         etex            -               "&latex"     jadetex.ini
-pdfjadetex      pdfetex         -               "&pdflatex"  pdfjadetex.ini
-
-EOF
-mv -v $(kpsewhich -expand-var '$TEXMFMAIN')/ls-R \
-    $(kpsewhich -expand-var '$TEXMFMAIN')/ls-R.orig
-mv -v $(kpsewhich -expand-var '$TEXMFSYSVAR')/ls-R \
-    $(kpsewhich -expand-var '$TEXMFSYSVAR')/ls-R.orig
-mktexlsr
-fmtutil-sys --byfmt jadetex
-fmtutil-sys --byfmt pdfjadetex
-mktexlsr
-ln -v -sf etex /usr/bin/jadetex
-ln -v -sf pdfetex /usr/bin/pdfjadetex
-install -v -m644 -D index.html \
-    /usr/share/doc/jadetex-3.13/index.html
-install -v -m644 *.1 /usr/share/man/man1
-
-ldconfig
-
-exit $?
diff --git a/stage3/cis-sane-backends b/stage3/cis-sane-backends
deleted file mode 100755 (executable)
index c1b8887..0000000
+++ /dev/null
@@ -1,73 +0,0 @@
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1}
-
-if [ x${INST_TYPE} = "xworkstation" ]; then
-    USE_X_OPTION="yes"
-else
-    USE_X_OPTION="no"
-fi
-
-hv_groupadd saned
-hv_useradd -c saned -d /dev/null -g saned -s /bin/false saned
-
-# Problem with build directory
-cd ${LFS_TMP}/${1}
-./configure \
-    --prefix=/usr \
-    --sysconfdir=/etc \
-    --with-x=${USE_X_OPTION}
-
-# If the 'SANE_DRIVER' variable is defined in the 'sysinfos' file, then
-# we build that driver and the 'net' driver only. Otherwise, only the 'net'
-# driver is built. We do so by modifying the 'PRELOADABLE_BACKENDS' variable
-# in 'backend/Makefile'.
-cp backend/Makefile backend/Makefile.bak
-cat backend/Makefile.bak \
-    | sed "s/\(PRELOADABLE_BACKENDS =\).*/\1 ${SANE_DRIVER} net/" \
-    > backend/Makefile
-# Removing the program umax_pp, since it depends on some umax driver.
-cp tools/Makefile tools/Makefile.bak
-cat tools/Makefile.bak \
-    | sed "s/\(DESTINATIONS =.*\)umax_pp\(.*\)/\1\2/" > tools/Makefile
-
-make
-make install
-ldconfig
-
-# Addition to /etc/services (for both the client and server)
-string_add "sane      6566/tcp   saned # SANE Network Scanner Daemon" \
-    /etc/services
-
-# Creating '/etc/sane.d/dll.conf' and adding entry 'net'
-echo "net" > /etc/sane.d/dll.conf
-
-if [ -z "${SANE_SERVER}" ]; then
-    # If 'SANE_SERVER' is not defined, then we automatically configure for
-    # the SANE Network Daemon.
-    
-    # Adding entry to '/etc/sane.d/dll.conf'
-    echo "${SANE_DRIVER}" >> /etc/sane.d/dll.conf
-
-    # Creating '/etc/sane.d/saned.conf'
-    echo "${LAN_NETWORK_MASK}" > /etc/sane.d/saned.conf
-    
-    # Addition to /etc/inetd.conf
-    string_add "sane  stream tcp nowait saned /usr/sbin/tcpd saned" \
-       /etc/inetd.conf
-else
-    # If 'SANE_SERVER' is defined, then we must specify the address of the
-    # remote SANE server to use.
-    echo "${SANE_SERVER}" > /etc/sane.d/net.conf
-fi
-
-exit $?
diff --git a/stage3/cis-splix b/stage3/cis-splix
deleted file mode 100755 (executable)
index e125018..0000000
+++ /dev/null
@@ -1,29 +0,0 @@
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name.
-# Remaining arguments are additional configure options.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-PACKAGE=${1}
-shift
-CONFIGURE_OPTS=${*}
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${PACKAGE}
-
-cd ${LFS_TMP}/${PACKAGE}
-make DISABLE_JBIG=1
-make install
-ldconfig
-
-exit $?
diff --git a/stage3/cis-tetex b/stage3/cis-tetex
deleted file mode 100755 (executable)
index bd8ddb3..0000000
+++ /dev/null
@@ -1,76 +0,0 @@
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Removing any older directory from earlier attempt...
-rm -rf ${LFS_TMP}/cm-super
-
-install -v -m755 -d /usr/share/texmf
-decompress_package ${TETEX_TEXMF}    /usr/share/texmf
-decompress_package ${TETEX_TEXMFSRC} /usr/share/texmf
-decompress_package ${TETEX_CM_SUPER}
-
-# Applying patches (if any)
-apply_patches ${1}
-
-cd ${LFS_TMP}/${1}-build
-../${1}/configure \
-    --prefix=/usr \
-    --exec-prefix=/usr \
-    --bindir=/usr/bin \
-    --with-x=yes \
-    --without-texinfo \
-    --with-system-ncurses \
-    --with-system-zlib \
-    --with-system-t1lib \
-    --with-system-pnglib \
-    --with-system-gd \
-    --disable-a4
-make all
-make install
-
-texconfig-sys dvips paper letter
-texconfig-sys font rw
-
-install -v -d -m755 /usr/local/share/texmf/tex/latex
-var_add_path "TEXMFLOCAL" /etc/profile "/usr/local/share/texmf"
-var_export   "TEXMFLOCAL" /etc/profile
-
-# To install the optional cm-super fonts:
-FONTDIR=$(kpsewhich --expand-var '$TEXMFMAIN')
-mkdir -v -p ${FONTDIR}/fonts/afm/public/cm-super   \
-    ${FONTDIR}/fonts/type1/public/cm-super \
-    ${FONTDIR}/fonts/enc/dvips/cm-super    \
-    ${FONTDIR}/fonts/map/dvips/cm-super  
-
-cp -v ${LFS_TMP}/cm-super/pfb/*.pfb ${FONTDIR}/fonts/type1/public/cm-super/
-
-gunzip ${LFS_TMP}/cm-super/afm/*
-cp -v ${LFS_TMP}/cm-super/afm/*.afm ${FONTDIR}/fonts/afm/public/cm-super/
-
-cp -v ${LFS_TMP}/cm-super/dvips/*.enc ${FONTDIR}/fonts/enc/dvips/cm-super/
-cp -v ${LFS_TMP}/cm-super/dvips/*.map ${FONTDIR}/fonts/map/dvips/cm-super/
-
-cat >> ${FONTDIR}/web2c/updmap.cfg << "EOF"
-MixedMap cm-super-t1.map
-MixedMap cm-super-t2a.map
-MixedMap cm-super-t2b.map
-MixedMap cm-super-t2c.map
-MixedMap cm-super-ts1.map
-MixedMap cm-super-x2.map
-EOF
-
-mktexlsr
-updmap-sys
-
-if [ ${?} -eq 0 ]; then
-    rm -rf ${LFS_TMP}/cm-super
-fi
-
-exit $?
diff --git a/stage3/cis-xsane b/stage3/cis-xsane
deleted file mode 100755 (executable)
index 2616f35..0000000
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name.
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-# Applying patches (if any)
-apply_patches ${1}
-
-cd ${LFS_TMP}/${1}
-./configure \
-    --prefix=/usr
-make
-make install
-ldconfig
-
-# Adding link for GIMP plugin (Base GIMP version hardcoded for now)
-ln -v -sf /usr/bin/xsane /usr/lib/gimp/2.0/plug-ins/
-
-exit $?
diff --git a/stage3/resources/mount.fusedvdfs b/stage3/resources/mount.fusedvdfs
deleted file mode 100644 (file)
index 56137fb..0000000
+++ /dev/null
@@ -1,8 +0,0 @@
-#!/bin/sh
-
-DEVICE=${1}
-MOUNT_POINT=${2}
-
-dvdfs -o device=${DEVICE} ${MOUNT_POINT}
-
-exit $?
diff --git a/stage5/bootscripts/cups b/stage5/bootscripts/cups
new file mode 100755 (executable)
index 0000000..77345d6
--- /dev/null
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+# cups
+
+# Source functions library
+source /etc/rc.d/init.d/functions
+
+log_script_name "$0 $*"
+
+# See how we were called
+case "$1" in
+    start)
+       cmd_run_log_box_warn "CUPS start" loadproc cupsd
+       ;;
+
+    stop)
+       cmd_run_log_box_warn "CUPS stop" killproc cupsd
+       ;;
+   
+    reload)
+       cmd_run_log_box_warn "CUPS reload" reloadproc cupsd
+       ;;
+    
+    restart)
+       $0 stop
+       sleep 1
+       $0 start
+       ;;
+
+    status)
+       statusproc cupsd
+       ;;
+    
+    *)
+       echo "Usage: $0 {reload|restart|start|status|stop}"
+       exit ${EXIT_CODE_FAILURE}
+       ;;
+esac
+
+exit $?
diff --git a/stage5/cis-boost b/stage5/cis-boost
new file mode 100755 (executable)
index 0000000..cb215ad
--- /dev/null
@@ -0,0 +1,23 @@
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+cd ${LFS_TMP}/${PACKAGE}
+./bootstrap.sh
+./bjam --prefix=/usr
+./bjam install
+ldconfig
+
+exit $?
diff --git a/stage5/cis-cdrtools b/stage5/cis-cdrtools
new file mode 100755 (executable)
index 0000000..50df063
--- /dev/null
@@ -0,0 +1,35 @@
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1}
+
+cd ${LFS_TMP}/${1}
+make INS_BASE=/usr DEFINSUSR=root DEFINSGRP=root
+make INS_BASE=/usr DEFINSUSR=root DEFINSGRP=root install
+
+cat > /etc/sysconfig/cdrecord << "EOF"
+#!/bin/sh
+
+# If you know exactly the device to use with cdrecord,
+# enter it in this variable. If this variable is empty,
+# cdrecord scripts will try to autodetect the device
+# using the CDR_DEVICE_DESC variable.
+#CDREC_DEVICE="ATAPI:1,1,0"
+#CDROM_DEVICE="ATAPI:1,0,0"
+
+# This variable contains the identification string that
+# cdrecord scripts will look for when calling cdrecord
+# with the "-scanbus" option
+CDREC_DEVICE_DESC="CD-Writer+ 8200"
+CDROM_DEVICE_DESC="CDR-8235"
+EOF
+
+exit $?
diff --git a/stage5/cis-cups b/stage5/cis-cups
new file mode 100755 (executable)
index 0000000..667abfe
--- /dev/null
@@ -0,0 +1,55 @@
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+hv_useradd -c "Print_Service_User" -d /dev/null -g lp -s /bin/false -u 9 lp
+
+cd ${LFS_TMP}/${PACKAGE}
+./configure
+make
+make install
+
+if [ -n "${CUPS_SERVER}" ]; then
+    # Configuring for connection to a remote CUPS print server
+    cat > /etc/cups/client.conf << "EOF"
+########################################################################
+#                                                                      #
+# This is the CUPS client configuration file.  This file is used to    #
+# define client-specific parameters, such as the default server or     #
+# default encryption settings.                                         #
+#                                                                      #
+########################################################################
+
+#
+# ServerName: the hostname of your server.  By default CUPS will use the
+# hostname of the system or the value of the CUPS_SERVER environment
+# variable.  ONLY ONE SERVER NAME MAY BE SPECIFIED AT A TIME.  To use
+# more than one server you must use a local scheduler with browsing
+# and possibly polling.
+#
+EOF
+    echo "ServerName ${CUPS_SERVER}" >> /etc/cups/client.conf
+else
+    # Configuring for a CUPS print server
+    sed -i -e 's@Listen localhost:631@Listen \*:631@' /etc/cups/cupsd.conf
+fi
+
+install -v -m740 ${SCRDIR}/bootscripts/cups /etc/rc.d/init.d
+
+# script-name start stop
+bootscript_add_rc3 cups 40 50
+
+exit $?
diff --git a/stage5/cis-cups-pdf b/stage5/cis-cups-pdf
new file mode 100755 (executable)
index 0000000..6a6bec3
--- /dev/null
@@ -0,0 +1,27 @@
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+cd ${LFS_TMP}/${PACKAGE}/src
+gcc -O9 -s -o cups-pdf cups-pdf.c
+install -m 0700 cups-pdf /usr/lib/cups/backend
+
+cd ${LFS_TMP}/${PACKAGE}
+cp extra/cups-pdf.conf /etc/cups
+cp extra/CUPS-PDF.ppd /usr/share/cups/model
+
+exit $?
diff --git a/stage5/cis-dvd-rw-tools b/stage5/cis-dvd-rw-tools
new file mode 100755 (executable)
index 0000000..4cd607b
--- /dev/null
@@ -0,0 +1,20 @@
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1}
+
+cd ${LFS_TMP}/${1}
+make all rpl8 btcflash
+make prefix=/usr install
+install -v -m644 -D index.html /usr/share/doc/${1}/index.html
+ldconfig
+
+exit $?
diff --git a/stage5/cis-dvdfs b/stage5/cis-dvdfs
new file mode 100755 (executable)
index 0000000..ef92029
--- /dev/null
@@ -0,0 +1,26 @@
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+cd ${LFS_TMP}/${PACKAGE}
+make
+make install
+
+# Mount script
+install -v -m755 ${SCRDIR}/resources/mount.fusedvdfs /sbin
+
+exit $?
index 2ae788b..bc26a6c 100755 (executable)
@@ -8,10 +8,40 @@ source ../sysinfos
 source ../functions
 source ../packages-list
 
+GS_FONTS_PATH="${HV_FONTS_PATH}/ghostscript"
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
 # Applying patches (if any)
-apply_patches ${1}
+apply_patches ${PACKAGE}
 
-GS_FONTS_PATH="${HV_FONTS_PATH}/ghostscript"
+cd ${LFS_TMP}/${PACKAGE}
+
+# To use the system-installed version of JasPer:
+rm -rf jasper
+
+# To use the system-installed copies of libjpeg and libpng:
+rm -rf jpeg
+rm -rf libpng
+
+# To use the system-installed copy of libtiff:
+rm -rf tiff
+
+./configure \
+    --prefix=/usr \
+    --enable-dynamic \
+    --with-system-libtiff \
+    --with-fontpath=${GS_FONTS_PATH}
+make
+make install docdir=/usr/share/doc/${PACKAGE}
+
+# To install the shared library libgs.so (needed by libspectre)
+make so
+make soinstall docdir=/usr/share/doc/${PACKAGE}
+install -v -m644 base/*.h /usr/include/ghostscript
+ln -v -s ghostscript /usr/include/ps
 
 # Unpack all the fonts to ${GS_FONTS_PATH}
 install -v -m755 -d ${GS_FONTS_PATH}
@@ -21,24 +51,6 @@ mv ${LFS_TMP}/fonts/* ${GS_FONTS_PATH}
 rmdir ${LFS_TMP}/fonts
 chown -v -R root:root ${GS_FONTS_PATH}
 
-cd ${LFS_TMP}/${1}
-sed -i "s/bbox.dev$/x11.dev/" Makefile.in
-./configure \
-    --prefix=/usr \
-    --enable-threads \
-    --without-omni \
-    --with-fontpath=${GS_FONTS_PATH}
-make
-make install
-
-#rmdir -v /usr/lib/ghostscript/$(get_pkg_ver_base ${1}) /usr/lib/ghostscript
-ln -v -s ../ghostscript/$(get_pkg_ver_base ${1})/doc /usr/share/doc/${1}
-for INSTFILE in `ls doc`; do
-    if [ ! -f /usr/share/doc/${1}/${INSTFILE} ]; then
-       install -v -m644 doc/${INSTFILE} /usr/share/doc/${1}/
-    fi
-done
-
 if ! grep "${GS_FONTS_PATH}" /etc/fonts/local.conf 1> /dev/null 2>&1; then
     # Adding Ghostscript fonts directory to local configuration file
     sed -i -e "s!\(</fontconfig>\)!    <dir>${GS_FONTS_PATH}</dir>\n\1!" /etc/fonts/local.conf
diff --git a/stage5/cis-jadetex b/stage5/cis-jadetex
new file mode 100755 (executable)
index 0000000..b981a71
--- /dev/null
@@ -0,0 +1,100 @@
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1}
+
+cd ${LFS_TMP}/${1}
+sed -i.orig -e "s/original texmf.cnf/modified texmf.cnf/" \
+    -e "s/memory hog.../&\npool_size.context = 750000/" \
+    $(kpsewhich texmf.cnf)
+cat >> $(kpsewhich texmf.cnf) << "EOF"
+
+% The following 3 sections added for JadeTeX
+
+% latex settings
+main_memory.latex = 1100000
+param_size.latex = 1500
+stack_size.latex = 1500
+hash_extra.latex = 15000
+string_vacancies.latex = 45000
+pool_free.latex = 47500
+nest_size.latex = 500
+save_size.latex = 5000
+pool_size.latex = 500000
+max_strings.latex = 55000
+font_mem_size.latex= 400000
+
+% jadetex settings
+main_memory.jadetex = 1500000
+param_size.jadetex = 1500
+stack_size.jadetex = 1500
+hash_extra.jadetex = 50000
+string_vacancies.jadetex = 45000
+pool_free.jadetex = 47500
+nest_size.jadetex = 500
+save_size.jadetex = 5000
+pool_size.jadetex = 500000
+max_strings.jadetex = 55000
+
+% pdfjadetex settings
+main_memory.pdfjadetex = 2500000
+param_size.pdfjadetex = 1500
+stack_size.pdfjadetex = 1500
+hash_extra.pdfjadetex = 50000
+string_vacancies.pdfjadetex = 45000
+pool_free.pdfjadetex = 47500
+nest_size.pdfjadetex = 500
+save_size.pdfjadetex = 5000
+pool_size.pdfjadetex = 500000
+max_strings.pdfjadetex = 55000
+
+EOF
+
+LATEX_FMT_DIR="$(kpsewhich -expand-var '$TEXMFSYSVAR')/web2c"
+
+mv -v $(kpsewhich latex.fmt) $(kpsewhich latex.fmt).orig
+mv -v $LATEX_FMT_DIR/latex.log $LATEX_FMT_DIR/latex.log.orig
+fmtutil-sys --byfmt latex
+
+make
+
+install -v -m755 -d \
+    $(kpsewhich -expand-var '$TEXMFLOCAL')/tex/jadetex/config
+install -v -m644 dsssl.def jadetex.ltx *.sty \
+    $(kpsewhich -expand-var '$TEXMFLOCAL')/tex/jadetex
+install -v -m644 {,pdf}jadetex.ini \
+    $(kpsewhich -expand-var '$TEXMFLOCAL')/tex/jadetex/config
+FMTUTIL_CNF="$(kpsewhich fmtutil.cnf)"
+mv $FMTUTIL_CNF $FMTUTIL_CNF.orig
+cat $FMTUTIL_CNF.orig - >> $FMTUTIL_CNF << "EOF"
+
+# JadeTeX formats:
+jadetex         etex            -               "&latex"     jadetex.ini
+pdfjadetex      pdfetex         -               "&pdflatex"  pdfjadetex.ini
+
+EOF
+mv -v $(kpsewhich -expand-var '$TEXMFMAIN')/ls-R \
+    $(kpsewhich -expand-var '$TEXMFMAIN')/ls-R.orig
+mv -v $(kpsewhich -expand-var '$TEXMFSYSVAR')/ls-R \
+    $(kpsewhich -expand-var '$TEXMFSYSVAR')/ls-R.orig
+mktexlsr
+fmtutil-sys --byfmt jadetex
+fmtutil-sys --byfmt pdfjadetex
+mktexlsr
+ln -v -sf etex /usr/bin/jadetex
+ln -v -sf pdfetex /usr/bin/pdfjadetex
+install -v -m644 -D index.html \
+    /usr/share/doc/${1}/index.html
+install -v -m644 *.1 /usr/share/man/man1
+
+ldconfig
+
+exit $?
diff --git a/stage5/cis-sane-backends b/stage5/cis-sane-backends
new file mode 100755 (executable)
index 0000000..09bc97c
--- /dev/null
@@ -0,0 +1,63 @@
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1}
+
+if [ x${INST_TYPE} = "xworkstation" ]; then
+    USE_X_OPTION="yes"
+else
+    USE_X_OPTION="no"
+fi
+
+hv_groupadd saned
+hv_useradd -c saned -d /dev/null -g saned -s /bin/false saned
+
+# Problem with build directory
+cd ${LFS_TMP}/${1}
+
+# Fixes an obsolete udev parameter:
+sed -i 's/SYSFS/ATTRS/g' tools/sane-desc.c
+
+./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --with-x=${USE_X_OPTION}
+make
+make install
+install -m 644 -v tools/udev/libsane.rules /etc/udev/rules.d/65-scanner.rules
+
+# Addition to /etc/services (for both the client and server)
+string_add "sane      6566/tcp   saned # SANE Network Scanner Daemon" \
+    /etc/services
+
+# Creating '/etc/sane.d/dll.conf' and adding entry 'net'
+echo "net" > /etc/sane.d/dll.conf
+
+if [ -z "${SANE_SERVER}" ]; then
+    # If 'SANE_SERVER' is not defined, then we automatically configure for
+    # the SANE Network Daemon.
+    
+    # Adding entry to '/etc/sane.d/dll.conf'
+    #######echo "${SANE_DRIVER}" >> /etc/sane.d/dll.conf
+
+    # Creating '/etc/sane.d/saned.conf'
+    echo "${LAN_NETWORK_MASK}" > /etc/sane.d/saned.conf
+    
+    # Addition to /etc/inetd.conf
+    string_add "sane  stream tcp nowait saned /usr/sbin/tcpd saned" \
+       /etc/inetd.conf
+else
+    # If 'SANE_SERVER' is defined, then we must specify the address of the
+    # remote SANE server to use.
+    echo "${SANE_SERVER}" > /etc/sane.d/net.conf
+fi
+
+exit $?
diff --git a/stage5/cis-splix b/stage5/cis-splix
new file mode 100755 (executable)
index 0000000..b1d18df
--- /dev/null
@@ -0,0 +1,31 @@
+#!/bin/sh
+set -o errexit
+
+# Drivers Samsung pour CUPS
+
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+cd ${LFS_TMP}/${PACKAGE}
+make DISABLE_JBIG=1
+make install
+ldconfig
+
+exit $?
diff --git a/stage5/cis-tetex b/stage5/cis-tetex
new file mode 100755 (executable)
index 0000000..bd8ddb3
--- /dev/null
@@ -0,0 +1,76 @@
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Removing any older directory from earlier attempt...
+rm -rf ${LFS_TMP}/cm-super
+
+install -v -m755 -d /usr/share/texmf
+decompress_package ${TETEX_TEXMF}    /usr/share/texmf
+decompress_package ${TETEX_TEXMFSRC} /usr/share/texmf
+decompress_package ${TETEX_CM_SUPER}
+
+# Applying patches (if any)
+apply_patches ${1}
+
+cd ${LFS_TMP}/${1}-build
+../${1}/configure \
+    --prefix=/usr \
+    --exec-prefix=/usr \
+    --bindir=/usr/bin \
+    --with-x=yes \
+    --without-texinfo \
+    --with-system-ncurses \
+    --with-system-zlib \
+    --with-system-t1lib \
+    --with-system-pnglib \
+    --with-system-gd \
+    --disable-a4
+make all
+make install
+
+texconfig-sys dvips paper letter
+texconfig-sys font rw
+
+install -v -d -m755 /usr/local/share/texmf/tex/latex
+var_add_path "TEXMFLOCAL" /etc/profile "/usr/local/share/texmf"
+var_export   "TEXMFLOCAL" /etc/profile
+
+# To install the optional cm-super fonts:
+FONTDIR=$(kpsewhich --expand-var '$TEXMFMAIN')
+mkdir -v -p ${FONTDIR}/fonts/afm/public/cm-super   \
+    ${FONTDIR}/fonts/type1/public/cm-super \
+    ${FONTDIR}/fonts/enc/dvips/cm-super    \
+    ${FONTDIR}/fonts/map/dvips/cm-super  
+
+cp -v ${LFS_TMP}/cm-super/pfb/*.pfb ${FONTDIR}/fonts/type1/public/cm-super/
+
+gunzip ${LFS_TMP}/cm-super/afm/*
+cp -v ${LFS_TMP}/cm-super/afm/*.afm ${FONTDIR}/fonts/afm/public/cm-super/
+
+cp -v ${LFS_TMP}/cm-super/dvips/*.enc ${FONTDIR}/fonts/enc/dvips/cm-super/
+cp -v ${LFS_TMP}/cm-super/dvips/*.map ${FONTDIR}/fonts/map/dvips/cm-super/
+
+cat >> ${FONTDIR}/web2c/updmap.cfg << "EOF"
+MixedMap cm-super-t1.map
+MixedMap cm-super-t2a.map
+MixedMap cm-super-t2b.map
+MixedMap cm-super-t2c.map
+MixedMap cm-super-ts1.map
+MixedMap cm-super-x2.map
+EOF
+
+mktexlsr
+updmap-sys
+
+if [ ${?} -eq 0 ]; then
+    rm -rf ${LFS_TMP}/cm-super
+fi
+
+exit $?
diff --git a/stage5/cis-xsane b/stage5/cis-xsane
new file mode 100755 (executable)
index 0000000..2616f35
--- /dev/null
@@ -0,0 +1,24 @@
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+# Applying patches (if any)
+apply_patches ${1}
+
+cd ${LFS_TMP}/${1}
+./configure \
+    --prefix=/usr
+make
+make install
+ldconfig
+
+# Adding link for GIMP plugin (Base GIMP version hardcoded for now)
+ln -v -sf /usr/bin/xsane /usr/lib/gimp/2.0/plug-ins/
+
+exit $?
index 0e50c20..6dcddea 100755 (executable)
@@ -23,22 +23,22 @@ fi
 
 GNUPG_URL="ftp://ftp.gnupg.org/gcrypt"
 
-# Gtk
+fpkg_gnome ${LIBSIGCPP}
+fpkg -e zip ${JASPER} "http://www.ece.uvic.ca/~mdadams/jasper/software"
 fpkg_gnome ${GTK_DOC}
-fpkg       ${GLITZ} "http://cairographics.org/snapshots"
+fpkg_gnome ${GLIBMM}
 fpkg       ${CAIRO} "http://cairographics.org/releases"
 fpkg       ${CAIROMM} "http://cairographics.org/releases"
 fpkg_gnome ${PANGO}
+fpkg_gnome ${PANGOMM}
 fpkg_gnome ${ATK}
 fpkg_gnome ${GTK}
+fpkg_gnome ${GTKMM}
 fpkg_gnome ${GTK_ENGINES}
 fpkg_gnome ${PYGOBJECT}
 fpkg       ${PYCAIRO} "http://cairographics.org/releases"
 fpkg_gnome ${PYGTK}
-fpkg_gnome ${LIBSIGCPP}
 fpkg       ${GC} " http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source"
-fpkg_gnome ${GLIBMM}
-fpkg_gnome ${GTKMM}
 
 fpkg_gnu   ${EMACS}
 fpkg_hv    ${HVCLOCK}
@@ -63,13 +63,11 @@ fpkg       ${LIBPROXY} "http://libproxy.googlecode.com/files"
 fpkg_gnome ${GNOME_KEYRING}
 fpkg_gnome ${LIBSOUP}
 
-
-
 fpkg_gnu   ${HELP2MAN}
 fpkg_gnu   ${GSL}
 fpkg -s "$(get_pkg_ver ${CUPS})" -f "${CUPS}-source" ${CUPS} "http://ftp.easysw.com/pub/cups"
+fpkg -f "$(get_pkg_name ${CUPS_PDF})_$(get_pkg_ver ${CUPS_PDF})" ${CUPS_PDF} http://www.cups-pdf.de/src
 fpkg_sf    ${SPLIX}
-fpkg -e zip ${JASPER} "http://www.ece.uvic.ca/~mdadams/jasper/software"
 fpkg_sf    ${GHOSTSCRIPT}
 fpkg_sf    ${GHOSTSCRIPT_FONTS_STD} "ghostscript"
 fpkg_sf    ${GHOSTSCRIPT_FONTS_OTHER} "ghostscript"
@@ -84,26 +82,24 @@ fpkg_sf    ${GUTENPRINT} "gimp-print"
 fpkg_sf    ${BOOST} "boost"
 fpkg_sf    ${INKSCAPE}
 
-exit 1
-exit 1
-
-
-
 fpkg       ${CDRTOOLS} "ftp://ftp.berlios.de/pub/cdrecord"
 fpkg       ${DVDRWTOOLS} "http://fy.chalmers.se/~appro/linux/DVD+RW/tools"
-fpkg       ${LIBDVDCSS}  "ftp://ftp.linux.ee/pub/gentoo/distfiles/distfiles"
-fpkg       ${LIBDVDREAD} "ftp://ftp.linux.ee/pub/gentoo/distfiles/distfiles"
+fpkg -s "$(get_pkg_ver ${LIBDVDCSS})"  ${LIBDVDCSS} "http://www.videolan.org/pub/libdvdcss"
+fpkg       ${LIBDVDREAD} "http://www.dtek.chalmers.se/groups/dvd/dist"
 fpkg       ${DVDFS} "http://jspenguin.org:81/dvdfs"
 
-fpkg       ${TETEX_SRC}      "${TETEX_URL}/$(get_pkg_ver ${TETEX_SRC})/distrib"
-fpkg       ${TETEX_TEXMF}    "${TETEX_URL}/$(get_pkg_ver ${TETEX_TEXMF})/distrib"
-fpkg       ${TETEX_TEXMFSRC} "${TETEX_URL}/$(get_pkg_ver ${TETEX_TEXMFSRC})/distrib"
+fpkg_hv    ${TETEX_SRC}
+fpkg_hv    ${TETEX_TEXMF}
+fpkg_hv    ${TETEX_TEXMFSRC}
 fpkg       ${TETEX_CM_SUPER} "http://anduin.linuxfromscratch.org/sources/BLFS/svn/t"
 # For re-generating fontconfig documentation.
 fpkg_sf    ${JADETEX}
 
-fpkg       ${SANE_BACKENDS} "ftp://ftp.sane-project.org/pub/sane/${SANE_BACKENDS}"
-fpkg       ${XSANE}         "ftp://ftp.sane-project.org/pub/sane/xsane"
+fpkg -e tar.gz -s "${SANE_BACKENDS}" ${SANE_BACKENDS} "ftp://ftp.sane-project.org/pub/sane"
+fpkg -e tar.gz -s "xsane"            ${XSANE}         "ftp://ftp.sane-project.org/pub/sane"
+
+exit 1
+exit 1
 
 fpkg       ${PERL_MOD_XML_SIMPLE} "http://www.cpan.org/modules/by-module/XML"
 fpkg       ${PERL_MOD_PARSE_REDESCENT} "http://www.cpan.org/modules/by-module/Parse"
diff --git a/stage5/resources/mount.fusedvdfs b/stage5/resources/mount.fusedvdfs
new file mode 100644 (file)
index 0000000..56137fb
--- /dev/null
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+DEVICE=${1}
+MOUNT_POINT=${2}
+
+dvdfs -o device=${DEVICE} ${MOUNT_POINT}
+
+exit $?
index 0ecc3fa..8c41429 100755 (executable)
@@ -26,19 +26,21 @@ export SCRDIR=$(pwd)
 if [ "x${INST_TYPE}" = "xworkstation" -o "x${INST_TYPE}" = "xltsp-server" ]; then
     # Gtk
     ipkg_ac    ${LIBSIGCPP}
+    ipkg_ac    ${JASPER} "--enable-shared"
     ipkg_ac    ${GTK_DOC}
+    ipkg_ac    ${GLIBMM}
     ipkg_ac    ${CAIRO}
     ipkg_ac    ${CAIROMM}
     ipkg_ac_nb ${PANGO}
+    ipkg_ac    ${PANGOMM}
     ipkg_ac    ${ATK}
-    ipkg_ac    ${GTK} "--without-libjasper"
+    ipkg_ac    ${GTK}
+    ipkg_ac    ${GTKMM}
     ipkg_ac    ${GTK_ENGINES}
     ipkg_ac    ${PYGOBJECT}
     ipkg_ac    ${PYCAIRO}
     ipkg_ac    ${PYGTK}
     ipkg_ac    ${GC}
-    ipkg_ac    ${GLIBMM}
-##    ipkg_ac    ${GTKMM}
 
     ipkg_cust  ${EMACS} cis-emacs
     ipkg_ac    ${HVCLOCK}
@@ -72,22 +74,18 @@ if [ "x${INST_TYPE}" = "xworkstation" -o "x${INST_TYPE}" = "xltsp-server" ]; the
     ipkg_ac    ${LIBPROXY} "--with-gnome"
     ipkg_gnome ${GNOME_KEYRING}
     ipkg_ac    ${LIBSOUP}
-
 fi
 
 ipkg_ac   ${HELP2MAN}
 ipkg_ac   ${GSL}
-
-exit 1
-exit 1
-
 ipkg_cust ${CUPS}     cis-cups
-ipkg_cust ${SPLIX}    cis-splix # Drivers Samsung pour CUPS
-ipkg_ac   ${JASPER} "--enable-shared"
+ipkg_cust ${CUPS_PDF} cis-cups-pdf
+ipkg_cust ${SPLIX}    cis-splix
 ipkg_cust ${GHOSTSCRIPT} cis-ghostscript
 
 if [ "x${INST_TYPE}" = "xworkstation" -o "x${INST_TYPE}" = "xltsp-server" ]; then
-    ipkg_ac    ${IMAGE_MAGICK} "--with-modules"
+    ipkg_ac    ${IMAGE_MAGICK} "--with-modules --with-gslib=/usr/lib"
+    # xpdf headers needed by inkscape
     ipkg_ac    ${POPPLER} "--enable-xpdf-headers --enable-zlib"
     ipkg_ac    ${LIBRSVG} "--disable-gtk-doc --disable-mozilla-plugin"
     ipkg_ac    ${BABL}
@@ -95,14 +93,10 @@ if [ "x${INST_TYPE}" = "xworkstation" -o "x${INST_TYPE}" = "xltsp-server" ]; the
     ipkg_ac    ${GIMP} "--disable-print"
     ipkg_ac_nb ${GUTENPRINT}
     ipkg_cust  ${BOOST} cis-boost
-    ipkg_ac    ${INKSCAPE} "CFLAGS=\"-DPOPPLER_NEW_GFXFONT\""
+    # inkscape-0.47 has a problem with poppler >= 0.12.2
+    ####ipkg_ac    ${INKSCAPE} "CFLAGS=\"-DPOPPLER_NEW_GFXFONT\""
 fi
 
-exit 1
-exit 1
-
-
-
 ipkg_cust ${CDRTOOLS} cis-cdrtools
 ipkg_cust ${DVDRWTOOLS} cis-dvd-rw-tools
 ipkg_ac   ${LIBDVDCSS}
@@ -111,6 +105,8 @@ ipkg_cust ${DVDFS} cis-dvdfs
 
 if [ "x${INST_TYPE}" = "xworkstation" -o "x${INST_TYPE}" = "xltsp-server" ]; then
     ipkg_cust ${TETEX_SRC} cis-tetex
+
+    # 'Five years old' bug --> Change the date to something in 2004 before installing.
     ipkg_cust ${JADETEX}   cis-jadetex
 fi
 
@@ -119,6 +115,9 @@ if [ "x${SANE_SUPPORT}" = "xyes" ]; then
     ipkg_cust ${XSANE} cis-xsane
 fi
 
+
+exit 1
+
 ipkg_pm  ${PERL_MOD_XML_SIMPLE}
 ipkg_pm  ${PERL_MOD_PARSE_REDESCENT}
 ipkg_ac  ${ICON_NAMING_UTILS}
index 91808f4..532fd67 100755 (executable)
@@ -77,6 +77,8 @@ ipkg_cust  ${GNOME_AUDIO} cis-gnome-audio
 # Gnome 2 additional packages - Utilities
 ipkg_gnome ${GEDIT} "--disable-spell"
 ipkg_gnome ${EOG}
+
+ipkg_ac    ${LIBSPECTRE}
 ipkg_gnome ${EVINCE}
 ipkg_gnome ${FILE_ROLLER}
 ipkg_gnome ${GCONF_EDITOR}
index 94b7ed5..87a09d2 100644 (file)
--- a/sysinfos
+++ b/sysinfos
@@ -9,13 +9,13 @@
 MAKEJOBS=1
 
 # Installation type: server, ltsp-server or workstation.
-INST_TYPE="server"
+INST_TYPE="ltsp-server"
 
 # New user to create
 REGUSER="hugo"
 
 # Destination path where to install new Linux-HV system
-LFS="/opt/toolchains/arm926ejs/clfs"
+LFS=""
 
 # Destination partition where to install new Linux-HV system
 LFS_PARTITION="/dev/sda8"
@@ -31,7 +31,7 @@ SWAP_PARTITION="/dev/sda2"
 # arm926t - ARM 926T little endian
 # x86 (i686)
 # x86_64 (AMD Athlon 64)
-HVL_TARGET="arm926t"
+HVL_TARGET="x86_64"
 
 # Used for setting '-march=xxx' option in CFLAGS and CPPFLAGS
 MACHINE_ARCHITECTURE=""
@@ -42,12 +42,18 @@ DEFAULT_EDITOR="emacs"
 KEYBOARD="us"
 
 # Sound card support: yes or no
-SOUND_CARD="no"
+SOUND_CARD="yes"
 
 # Removable media drives
 CDROM="/dev/hdc"
 DVD="/dev/hdc"
 
+# Set to yes to have SANE support
+SANE_SUPPORT="yes"
+# If your scanner is located onto a remote computer, define the following
+# variable to the IP address of that remote computer.
+SANE_SERVER=""
+
 # Define this if you want to use a remote CUPS print server
 #CUPS_SERVER="server.hugovil.com"